Xcode 9 and older show a warning when linking Reveal Server framework

When integrating Reveal Server library into your project using CocoaPods or manual linking, compiling your project in Xcode 8 or 9 may produce the following warning:

Linking ObjC for iOS Simulator, but dylib (.../Pods/Reveal-SDK/RevealServer-18/iOS/RevealServer.framework/RevealServer) was compiled for MacOSX

This warning is caused by the Server framework bundled in Reveal 18 and later being compiled using Xcode 10. It shouldn't cause any issues with using Reveal, and disappears once you update your project to Xcode 10.